class Logo < ApplicationRecord
  belongs_to :party

  def Logo.save_file(upload, party)
    return if upload.nil?
    dir = Rails.root.join('public', 'data')
    unless File.exists?(dir)
      Dir.mkdir(dir)
    end
    fname = upload.original_filename
    l = Logo.create name: fname, mime: upload.content_type, party: party
    path = File.join(dir, l.id.to_s)
    File.open(path, 'wb') do |f| f.write(upload.read) end
    l.update path: path, size: File.size(path)
  end
end
