class Party < ApplicationRecord
  has_many :candidates
  has_one :logo
  belongs_to :list

  def Party.get_party_page(page)
    Party.all.order(created_at: :asc).paginate(page: page, per_page: 2)
  end
end
