class CreateAddresses < ActiveRecord::Migration[7.0]
  def change
    create_table :addresses do |t|
      t.string :city
      t.string :street
      t.integer :zip
      t.float :lat
      t.float :lng
      t.references :addr, polymorphic: true

      t.timestamps
    end
  end
end
